/******************************************************************************
 * A x e l                                                                    *
 ******************************************************************************
 * QImplicitCurvesArrangement                                                 *
 * 2006-11-16                                                                 *
 * Julien Wintz                                                               *
 ******************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis                    *
 ******************************************************************************
 *                                                                            *
 ******************************************************************************/

# ifndef QIMPLICITCURVESARRANGEMENT_H
# define QIMPLICITCURVESARRANGEMENT_H

# include <QArrangement/QArrangement.h>

# include <QAxel/QCurve.h>

using namespace QAxel ;

class MainWindow;

namespace QArrangement {

/****************************************************************************/
/*!
  \class QImplicitCurvesArrangement QImplicitCurvesArrangement.h
  \brief The class QImplicitCurvesArrangement provides is a specialization of
  QArrangement to meet an implicit curves arrangement requirements.

  More ...
*/
/****************************************************************************/
class QImplicitCurvesArrangement : public QArrangement
{
    Q_OBJECT

public:
    QImplicitCurvesArrangement(MainWindow * mainwindow, 
			       double islPrecision = 1e-6, 
			       double sbdPrecision = 1e-6, 
			       double mulPrecision = 1e-2, 
			       double cellPrecision = 1e-1, 
			       double cellPrecisionMax = 1.0) ; 
    
protected:
    bool regular(Object_t * o, Node_t * n) ;
    QList<Region_t *> topology(Object_t * o, Node_t * n) ;
    QList<Cell_t *> subdivide(Object_t * o, Node_t * n) ;

private:
    double s_islPrecision ;
    double s_sbdPrecision ;
    double s_mulPrecision ;
} ;

} ; // namespace QArrangement ;

# endif // QIMPLICITCURVESARRANGEMENT_H
