/*****************************************************************************
 * Axel
 *****************************************************************************
 * QConstraint
 * 2006-07-03
 * Arnaud Fabre
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCONSTRAINT_H
# define QCONSTRAINT_H

# include <QAxel/QAxelObject.h>

namespace QAxel 
{

/****************************************************************************/
/*!
  \class QConstraint QConstraint.h
  \brief The class QConstraint provides an abstract constraint.

  More ...
*/
/****************************************************************************/
class QConstraint : public QAxelObject
{
	Q_OBJECT
			
public :
	QConstraint(void);
	~QConstraint(void);
	
	void draw(void) = 0;
    	void drawWithNames(void) = 0;

	/**
	 * Accessors
	 */
	
	QAxelObject *getObject(int i) const;
	void setObject(int i, QAxelObject *object);
	
protected :
	QVector<QAxelObject *> _objects;
};

} // namespace QAxel

# endif
