/*****************************************************************************
 * Axel
 *****************************************************************************
 * QConstraintIncidence
 * 2006-07-03
 * Arnaud Fabre
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCONSTRAINTINCIDENCE_H
# define QCONSTRAINTINCIDENCE_H

# include <QAxel/QConstraint.h>

namespace QAxel 
{

/*! 	\class QConstraintIncidence QConstraintIncidence.h
	\brief An incidence constraint between two QAxelObjects
 */
/****************************************************************************/
/*!
  \class QConstraintIncidence QConstraintIncidence.h
  \brief The class QConstraintIncidence provides an incidence constraint between 
  two QAxelObjects.

  More ...
*/
/****************************************************************************/
class QConstraintIncidence : public QConstraint
{
	Q_OBJECT

public :
	QConstraintIncidence(QAxelObject *o1, QAxelObject *o2);
	~QConstraintIncidence(void);
	
	void draw(void);
	void drawWithNames(void);

private :
	static GLUquadricObj *quadObj;
	static int id_;
};

} // namespace QAxel

# endif
