/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QEdge
 * 2006-03-25
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QEDGE_H
# define QEDGE_H

# include <QAxel/QAxelObject.h>
# include <QGLViewer/qglviewer.h>
       
using namespace qglviewer ;

namespace QAxel {

class QVertex ;
class QMesh ;

/****************************************************************************/
/*!
  \class QEdge QEdge.h
  \brief The class QEdge provides ...

  More ...
*/
/****************************************************************************/
class QEdge : public QAxelObject 
{
    Q_OBJECT

public:
    QEdge(QVertex * source, QVertex * destination, QAxelObject * parent = 0) ;
    
    void draw(void) ;
    void drawWithNames(void) ;

    void setSource(QVertex * vertex) ;
    void setDestination(QVertex * vertex) ;

    QVertex * source(void) ;
    QVertex * destination(void) ;
    QVertex * middle(void) ;

private:
    QVertex * e_source ;
    QVertex * e_destination ;

private:
    static int id_ ;

// -------------- TO BE REMOVED ----------------
public:
    QEdge(int index1, int index2, QMesh * m) ;

    QMesh * mesh(void) { return m ; }

public slots:
    void updateVertices(void) ;
	
public:
    int index1, index2 ;
		
private:
    QMesh * m ;
    Vec oldPos ;
// --------------------------------------------
} ;

} ; // namespace QAxel

# endif
