/*!
 * \class QFace
 */

# ifndef QFACE_H
# define QFACE_H
                                         
# include <QList>

# include <QAxel/QAxelObject.h>
# include <QGLViewer/qglviewer.h>

using namespace qglviewer ;
              
namespace QAxel {
	
class QMesh ;

/****************************************************************************/
/*!
  \class QFace QFace.h
  \brief The class QFace provides ...

  More ...
*/
/****************************************************************************/
class QFace : public QAxelObject 
{
    Q_OBJECT
public :                   
    QFace(int index, QMesh * m) ; 
    
    void draw(void) ;
    void drawWithNames(void) ;
    
    void push_index(int index) ;
    Vec computeNormal(void) ;
    void setColor(float r, float g, float b) ;
    void setColor(float r, float g, float b, float a) ;         
    
    int index(void) { return index_ ; }
    QMesh * mesh(void) { return m ; }
    
    QList<int> indexes_ ; // indexes_.size() == 3
    Vec normal_ ;

    QString toString(void) ;
    friend std::ostream& operator <<(std::ostream& stream, QFace & f) ;
    friend std::ostream& operator <<(std::ostream& stream, QFace * f) ;
    
public slots :
		
private :
    static int id_ ;     
    QMesh * m ;
    int index_ ;
    Vec oldPos ;             
} ;

} ; // namespace QAxel

# endif
