/*****************************************************************************
 * Axel
 *****************************************************************************
 * QImplicitCurve.h
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QIMPLICITCURVE_H
# define QIMPLICITCURVE_H

# include <QAxel/QCurve.h>


namespace QAxel {

class QBoundingBox ;

/****************************************************************************/
/*!
  \class QImplicitCurve QCurve.h
  \brief The class QImplicitCurve is an abstract base class for implicit curves.

  More ...
*/
/****************************************************************************/
class QImplicitCurve : public QCurve 
{	
    Q_OBJECT
    
public:
    QImplicitCurve(QBoundingBox * boundingbox) ;
    QImplicitCurve(double xmin, double xmax, 
		   double ymin, double ymax, 
		   double zmin = 0, double zmax = 0) ;

    virtual void draw(void) = 0 ;
    virtual void drawWithNames(void) = 0 ;

    enum Method { 
	Subdivision, 
	Sweep, 
	None 
    } ;
    
    Method method(void) { 
	return c_method ; 
    }

    enum Precision { 
	Absolute, 
	Relative 
    } ;
    
    Precision precision(void) { 
	return c_precision ; 
    }

protected:
    Method    c_method ;
    Precision c_precision ;
} ;

} ;

# endif
