/*****************************************************************************
 * Axel
 *****************************************************************************
 * Curves in Axel
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QIMPLICITCURVE2D_H
# define QIMPLICITCURVE2D_H

# include <QAxel/QImplicitCurve.h>

namespace QAxel {

class QBoundingBox ;    

/****************************************************************************/
/*!
  \class QImplicitCurve2D QCurve.h
  \brief The class QImplicitCurve2D provides ...
  
  More ...
*/
/****************************************************************************/
class QImplicitCurve2D : public QImplicitCurve 
{
    Q_OBJECT
    
public:
    QImplicitCurve2D(QString equation, QBoundingBox * boundingbox, 
		     QImplicitCurve::Method method = Subdivision, 
		     QImplicitCurve::Precision precision = Absolute) ;

    QImplicitCurve2D(QString equation, 
		     double xmin, double xmax, 
		     double ymin, double ymax, 
		     QImplicitCurve::Method method = Subdivision, 
		     QImplicitCurve::Precision precision = Absolute) ;

    void draw(void) ;
    void drawWithNames(void) ;

public slots:
    QString equation(void) { return c_equation ; }
    QAxelObject * toObject(void) { return (QAxelObject *)this ; }
    
private:
    QString c_equation ;
    static int id_ ;
} ;
    
} ;

# endif
