/*****************************************************************************
 * Axel
 *****************************************************************************
 * Curves in Axel
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QIMPLICITCURVE3D_H
# define QIMPLICITCURVE3D_H

# include <QAxel/QImplicitCurve.h>

namespace QAxel {

class QBoundingBox ;

/****************************************************************************/
/*!
  \class QImplicitCurve3D QCurve.h
  \brief The class QImplicitCurve3D ...

  More ...
*/
/****************************************************************************/
class QImplicitCurve3D : public QImplicitCurve 
{
    Q_OBJECT
    
public:
    QImplicitCurve3D(QString equation1, QString equation2, 
		     QBoundingBox * boundingbox, 
		     QImplicitCurve::Method method = Subdivision, 
		     QImplicitCurve::Precision precision = Absolute) ;
    
    QImplicitCurve3D(QString equation1, QString equation2, 
		     double xmin, double xmax, 
		     double ymin, double ymax, 
		     double zmin = 0, double zmax = 0, 
		     QImplicitCurve::Method method = Subdivision, 
		     QImplicitCurve::Precision precision = Absolute) ;
    
    void draw(void) ;
    void drawWithNames(void) ;

public slots:
    QString equation1(void) { return c_equation1 ; }
    QString equation2(void) { return c_equation2 ; }
    QAxelObject * toObject(void) { return (QAxelObject *)this ; }
    
private:
    QString c_equation1 ;
    QString c_equation2 ;
    static int id_ ;
} ;

} ;

# endif
