# include <QAxel/QVertex.h>
# include <QAxel/QEdge.h>
# include <QAxel/QFace.h>
# include <QAxel/QMesh.h>
# include <QAxel/QMeshFactory.h>

namespace QAxel {

QMesh * QMeshFactory::createPlaneMesh(void) 
{
	QMesh * m = new QMesh ;
	return m ;
}

QMesh * QMeshFactory::createCubeMesh(void) 
{
	QMesh * m = new QMesh ;   
	m->setMeshType(QMesh::Surface) ;
	m->setNumberOfVertices(8) ;
	m->setNumberOfFaces(6) ;
	
	QVertex * v0 = new QVertex(0, -0.5, -0.5, 0.5, m) ; m->push_vertex(v0) ;
	QVertex * v1 = new QVertex(1, 0.5, -0.5, 0.5, m) ; m->push_vertex(v1) ;
	QVertex * v2 = new QVertex(2, 0.5, 0.5, 0.5, m) ; m->push_vertex(v2) ;
	QVertex * v3 = new QVertex(3, -0.5, 0.5, 0.5, m) ; m->push_vertex(v3) ;
	QVertex * v4 = new QVertex(4, -0.5, 0.5, -0.5, m) ; m->push_vertex(v4) ;
	QVertex * v5 = new QVertex(5, 0.5, 0.5, -0.5, m) ; m->push_vertex(v5) ;
	QVertex * v6 = new QVertex(6, 0.5, -0.5, -0.5, m) ; m->push_vertex(v6) ;
	QVertex * v7 = new QVertex(7, -0.5, -0.5, -0.5, m) ; m->push_vertex(v7) ;
		
	QFace * f0 = new QFace(0,m) ;	QFace * f1 = new QFace(1,m) ;
	f0->push_index(0) ;				f1->push_index(1) ;
	f0->push_index(1) ;				f1->push_index(2) ;
	f0->push_index(2) ;				f1->push_index(5) ;
	f0->push_index(3) ;				f1->push_index(6) ;
	m->push_face(f0) ;				m->push_face(f1) ;	
	
	QFace * f2 = new QFace(2,m) ;	QFace * f3 = new QFace(3,m) ;
	f2->push_index(2) ;				f3->push_index(4) ;
	f2->push_index(3) ;				f3->push_index(5) ;
	f2->push_index(4) ;				f3->push_index(6) ;
	f2->push_index(5) ;				f3->push_index(7) ;
	m->push_face(f2) ;				m->push_face(f3) ;      
	
	QFace * f4 = new QFace(4,m) ;	QFace * f5 = new QFace(5,m) ;
	f4->push_index(0) ;				f5->push_index(0) ;
	f4->push_index(3) ;				f5->push_index(1) ;
	f4->push_index(4) ;				f5->push_index(6) ;
	f4->push_index(7) ;				f5->push_index(7) ;
	m->push_face(f4) ;				m->push_face(f5) ;      
				
 	QEdge * e0 = new QEdge(0,1,m) ; m->push_edge(e0) ;
 	QEdge * e1 = new QEdge(1,2,m) ; m->push_edge(e1) ;
 	QEdge * e2 = new QEdge(2,3,m) ; m->push_edge(e2) ;
 	QEdge * e3 = new QEdge(3,0,m) ; m->push_edge(e3) ;
 	QEdge * e4 = new QEdge(4,5,m) ; m->push_edge(e4) ;
 	QEdge * e5 = new QEdge(4,7,m) ; m->push_edge(e5) ;
 	QEdge * e6 = new QEdge(5,6,m) ; m->push_edge(e6) ;
 	QEdge * e7 = new QEdge(6,7,m) ; m->push_edge(e7) ;
 	QEdge * e8 = new QEdge(3,4,m) ; m->push_edge(e8) ;
 	QEdge * e9 = new QEdge(2,5,m) ; m->push_edge(e9) ;
 	QEdge * e10 = new QEdge(0,7,m) ; m->push_edge(e10) ;
 	QEdge * e11 = new QEdge(1,6,m) ; m->push_edge(e11) ;   

	m->computeNormals() ;
	return m ;
}

QMesh * QMeshFactory::createSphereMesh(void) 
{
	QMesh * m = new QMesh ;
	return m ;
}

QMesh * QMeshFactory::createConeMesh(void) 
{
	QMesh * m = new QMesh ;
	return m ;
}

QMesh * QMeshFactory::createCylinderMesh(void) 
{
	QMesh * m = new QMesh ;
	return m ;
}

QMesh * QMeshFactory::createTubeMesh(void) 
{
	QMesh * m = new QMesh ;
	return m ;
}

} ;
