/*****************************************************************************
 * Axel
 *****************************************************************************
 * ParametericSurface.h
 * 2007-05-22
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QPARAMTERICSURFACE_H
# define QPARAMTERICSURFACE_H

# include <QAxel/QSurface.h>

namespace QAxel {

class QPoint3f ;
class QMesh ;
class QBoundingBox ;

/****************************************************************************/
/*!
  \class QParametricSurface QSurface.h
  \brief The class QParametricSurface is an abstract class for parameterized
  surfaces.

  More ...
*/
/****************************************************************************/
class QParametricSurface : public QSurface 
{
    Q_OBJECT

public:
    QParametricSurface(void) : QSurface() {} ;
    QParametricSurface(QBoundingBox * boundingbox) : QSurface(boundingbox) {} ;

public slots:
    virtual float umin(void) = 0 ;
    virtual float umax(void) = 0 ;
    virtual float vmin(void) = 0 ;
    virtual float vmax(void) = 0 ;
    virtual QPoint3f * eval(float u, float v) = 0 ;
} ;


} ;

# endif
