/****************************************************************************
 * A x e l
 *****************************************************************************
 * QSingularity
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QAxel/QSingularity.h>
# include <QAxel/QImplicitSurface.h>

namespace QAxel {

QSingularity::QSingularity(float x, float y, float z, float radius, QImplicitSurface * is) 
{
    this->x = x ;
    this->y = y ;
    this->z = z ;
    this->radius = radius ;
    this->surface = is ;
    
    setObjectColor(new QColor(255,0,0)) ;
}

void QSingularity::draw(void) 
{
    static GLUquadric * quad = gluNewQuadric() ;
//    glPushMatrix() ;
//    glMultMatrixd(surface->frame()->matrix()) ;
    glColor() ;
//    glPushMatrix() ;
    glTranslatef(x, y, z) ;
    gluSphere(quad, radius, 10, 6) ;
//    glPopMatrix() ;
//    glPopMatrix() ;
}

void QSingularity::drawWithNames(void) 
{	  
    // A Singularity should never be selected
}

} ; // namesapce QAxel
