/*****************************************************************************
 * Axel
 *****************************************************************************
 * QSphere
 * 2006-11-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 * 
 ****************************************************************************/

# include <QAxel/QSphere.h>

namespace QAxel {

int QSphere::id_ = 0 ;

QSphere::QSphere(float x, float y, float z, float s) 
{
  	frame_->setPosition(x,y,z);
	s_size = s ;
	QString str ;
	setProperty("type", "Sphere") ;
	setProperty("name", "sphere_"+str.setNum(id_)) ;
	id_++ ;
	setObjectColor(new QColor(128,255,200)) ;
}

QSphere::~QSphere(void) {}

float QSphere::x(void) { return frame_->position().x ; }
float QSphere::y(void) { return frame_->position().y ; }
float QSphere::z(void) { return frame_->position().z ; }
float QSphere::s(void) { return s_size ; }

void QSphere::setx(float x)
{
	Vec v = frame_->position();
	frame_->setPosition(x,v.y,v.z);
}
void QSphere::sety(float y)
{
	Vec v = frame_->position();
	frame_->setPosition(v.x,y,v.z);
}
void QSphere::setz(float z)
{
	Vec v = frame_->position();
	frame_->setPosition(v.x,v.y,z);
}
void QSphere::sets(float s)
{
	s_size = s ;
}

void QSphere::draw(void) 
{     
	if(hidden()) return ;
	static GLUquadric* quad = gluNewQuadric() ;
	glPushMatrix() ;
		glMultMatrixd(frame_->matrix()) ;
		glColor() ;
		gluSphere(quad, s_size, 32, 32) ;
	glPopMatrix() ;
}   

void QSphere::drawWithNames(void) 
{	  
	glPushName((GLuint)this) ;
	draw();
	glPopName() ;
}

} ; // namespace QAxel
