/****************************************************************************
 * A x e l
 *****************************************************************************
 * QSurface.cpp
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QAxel/QDisplayList.h>
# include <QAxel/QBoundingBox.h>
# include <QAxel/QSurface.h>

namespace QAxel {

QSurface::QSurface(void) : QAxelObject(0)
{
    s_dirty = true ;
    s_dlist = new QDisplayList ;

    bbdrawn_ = false ;
    
    setObjectColor(new QColor(250,250,250)) ;
}

QSurface::QSurface(QBoundingBox * boundingbox) : QAxelObject(0)
{
    s_dirty = true ;
    s_dlist = new QDisplayList ;

    boundingbox_ = boundingbox ;
    bbdrawn_ = false ;
    
    setObjectColor(new QColor(250,250,250)) ;
}

QSurface::QSurface(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) : QAxelObject(0)
{
    s_dirty = true ;
    s_dlist = new QDisplayList ;

    boundingbox_ = new QBoundingBox(xmin, xmax, ymin, ymax, zmin, zmax) ;
    bbdrawn_ = false ;
    
    setObjectColor(new QColor(250,250,250)) ;
}

QSurface::~QSurface(void)
{
    delete s_dlist ;
}

} ; // namespace QAxel
