/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QAugmentedInfluenceGraph
 * 2007-01-16
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# include <QData/QAugmentedInfluenceGraph.h>

namespace QData {
	
QAugmentedInfluenceGraph::QAugmentedInfluenceGraph(void) : QGraph()
{
    setType(QGraph::AugmentedInfluenceGraph) ;
}

QGraphNode * QAugmentedInfluenceGraph::insert(QRegion3f * region, QGraphNode * parent)
{
    QGraphNode * n = new QGraphNode("", region) ; addNode(n) ;
    QGraphEdge * e = new QGraphEdge(parent, n)  ; addEdge(e) ;
    if(region->opened()) n->setAlpha(64) ; update() ;
    return n ;
}

QGraphNode * QAugmentedInfluenceGraph::insert(QRegion3f * region, QGraphNode * parent1, QGraphNode * parent2)
{
    QGraphNode * n  = new QGraphNode("", region) ; addNode(n)  ;
    QGraphEdge * e1 = new QGraphEdge(parent1, n) ; addEdge(e1) ;
    QGraphEdge * e2 = new QGraphEdge(parent2, n) ; addEdge(e2) ;
    if(region->opened()) n->setAlpha(64) ; update() ;
    return n ;
}

} ; // namespace QData
