/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QBinaryTree
 * 2007-04-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

template <class Object, class Cell> QBinaryTree<Object, Cell>::QBinaryTree(void)
{
    t_root = new QTreeNode<Object, Cell>();
    t_root->SetParent(NULL);
} 
    
template <class Object, class Cell> QTreeNode<Object, Cell> * QBinaryTree<Object, Cell>::root(void)
{ 
    return(t_root); 
}
    
template <class Object, class Cell> QGraph * QBinaryTree<Object, Cell>::toGraph(void)
{
    QGraph * graph = new QGraph ;
    graph->setType(QGraph::Octree) ;
    addNode(graph, t_root, NULL) ;
    return graph ;
}

template <class Object, class Cell> void QBinaryTree<Object, Cell>::setRoot(QTreeNode<Object, Cell> * node)
{
    t_root = node ;
}
    
template <class Object, class Cell> void QBinaryTree<Object, Cell>::addNode(QGraph * graph, QTreeNode<Object, Cell> * node, QGraphNode * parent)
{
    QGraphNode * n = new QGraphNode("", node->GetCell()) ;
    n->setColors(Qt::blue, Qt::darkBlue) ;
    graph->addNode(n) ;
	
    if(parent) {
	QGraphEdge * e = new QGraphEdge(parent, n) ;
	graph->addEdge(e) ;
    }
	
    if(node->GetF_NWchild()) addNode(graph, node->GetF_NWchild(), n) ;
    if(node->GetF_NEchild()) addNode(graph, node->GetF_NEchild(), n) ;
}
