/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QBinaryTree
 * 2007-04-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/
 
# ifndef QBINARYTREE_H
# define QBINARYTREE_H

# include <QData/QTreeNode.h>

namespace QData {

/****************************************************************************/
/*!
  \class QBinaryTree QBinaryTree.h
  \brief The Binary tree uses the generic nodes only considering its front
  north children.
*/
/****************************************************************************/

    template <class Object, class Cell> class QBinaryTree
{
public:
    QBinaryTree<Object, Cell>(void) ;    

    QTreeNode<Object, Cell> * root(void) ;
    QGraph * toGraph(void) ;

public:
    void setRoot(QTreeNode<Object, Cell> * node) ;

private:
    void addNode(QGraph * graph, QTreeNode<Object, Cell> * node, QGraphNode * parent) ;

private:
    QTreeNode<Object, Cell>* t_root;
} ;

# include "QBinaryTree.cpp"

} ; // namespace QData

# endif
