/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QConditions
 * 2006-10-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCONDITIONS_H
# define QCONDITIONS_H

/****************************************************************************/
/*!
  \class QCondition QCondition.h
  \brief The class QCondition provides sign conditions useful to caracterize
  regions in an implicit curves or surfaces arrangement structure.

  More ...
*/
/****************************************************************************/
class QCondition 
{
public:
	QCondition(void) {}
	virtual ~QCondition(void) {}
	
	virtual bool test(void) = 0 ;
} ;


class QSignCondition : public Condition
{
public:
	QSignCondition(QString function, int d_degree) ;
	~QSignCondition(void) ;

	bool test(void) ; // use synaps plugin to do so
	
protected:
	enum { 
		GT =  2,
		GE =  1,
		EQ =  0,
		LE = -1,
		LT = -2,
	} Operator ;
	
private:
	QString c_function ;
	int d_degree ;
	Operator c_operator ;
} ;

# endif
