/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QDxfPlugin
 * 2007-06-18
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# include <QtGui>

# include <dl_dxf.h>

# include <QDxf/QDxfPlugin.h>
# include <QDxf/QDxfParser.h>

using namespace std ;

QString QDxfPlugin::name(void) const
{
    return "QDxf" ;
} 

QStringList QDxfPlugin::features(void) const
{

}

void QDxfPlugin::init(MainWindow * window)
{
    QAction * importDxfAction = new QAction("DXF (Autodesk File Format)", window);
    connect(importDxfAction, SIGNAL(triggered()), this, SLOT(read()));
    window->importMenu()->addAction(importDxfAction);
}

void QDxfPlugin::read(void)
{
    QString file ;

    QDxfParser * parser = new QDxfParser ;
    DL_Dxf     * dxf    = new DL_Dxf ;
    if(!dxf->in(file.toAscii().constData(), parser)) {
	cout << file.toAscii().constData() << " could not be opened." << endl ;
	return ;
    }
    delete dxf ;
    delete parser ;
}

void QDxfPlugin::write(void)
{

}

Q_EXPORT_PLUGIN(QDxfPlugin)
