/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QDxfPlugin
 * 2007-06-18
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QDXFPLUGIN_H
# define QDXFPLUGIN_H

# include <QDxf/QDxfInterface.h>

/****************************************************************************/
/*!
  \class QDxfPlugin QDxfPlugin.h
  \brief The class QDxfPlugin implements the \link QDxfInterface \endlink
  as a glue to the forked dxf library.
*/
/****************************************************************************/
class QDxfPlugin : public QObject, public QDxfInterface, public QInitializablePluginInterface
{
    Q_OBJECT
    Q_INTERFACES(QDxfInterface)
    Q_INTERFACES(QAxel::QPluginInterface)
    Q_INTERFACES(QAxel::QInitializablePluginInterface)
	
public:
    QString name() const ;
    QStringList features() const ;

    void  init(MainWindow * window) ;

public slots:
    void  read(void) ; 
    void write(void) ;
} ;

# endif
