########################################################
# Q G u i Source List
# Julien Wintz
# Inria Sophia-Antipolis
#######################################################

mac {
    HEADERS += QGui/CocoaUtil.h
    OBJECTIVE_SOURCES += QGui/CocoaUtil.mm

    contains(DEFINES, HAVE_GROWL) {
        HEADERS += QGui/GrowlNotifier.h
        SOURCES += QGui/GrowlNotifier.cpp
    }
}

HEADERS += \
 QGui/color.h \
 QGui/Viewer.h \
 QGui/ManipulatedFrameSetConstraint.h \
 QGui/MainWindow.h \
 QGui/ObjectPropertiesDock.h \
 QGui/ToolPropertiesDock.h \
 QGui/ToolPropertiesWidgets.h \
 QGui/SceneInspectorDock.h \
 QGui/ScriptingDock.h \
 QGui/QDesignerDefs.h \
 QGui/QDesignerUtils.h \
 QGui/QCameraModeWidget.h \
 QGui/QSelectedObjectsWidget.h \
 QGui/QAlgorithmWidget.h \
 QGui/QDimensionModeWidget.h \
 QGui/FlagBox.h \
 QGui/FlagBoxModel.h \
 QGui/SheetDelegate.h \
 QGui/QPropertyEditor.h \
 QGui/PropertyEditorDelegate.h \
 QGui/PropertyEditorItems.h \
 QGui/PropertyEditorModel.h \
 QGui/PropertyEditorGlobal.h \
 QGui/SharedGlobal.h \
 QGui/PluginDialog.h \
 QGui/PreferencesDialog.h \
 QGui/PreferencesDialogPages.h \
 QGui/QGraphicNode.h \
 QGui/QGraphicEdge.h \
 QGui/QGraphWidget.h \
 QGui/QParameterSpaceView.h \
 QGui/ObjectToolDock.h \
 QGui/HistoryDock.h \
 QGui/Commands.h \
 QGui/ImplicitCurvesArrangementDock.h \
 QGui/ParametricCurvesArrangementDock.h \
 QGui/ImageViewer.h \
 QGui/GLSelectorView.h \
 QGui/SampleSelector.h

SOURCES += \
 QGui/Viewer.cpp \
 QGui/ViewerDrawingEvents.cpp \
 QGui/ViewerSelectionEvents.cpp \
 QGui/ViewerKeyboardEvents.cpp \
 QGui/ViewerMouseEvents.cpp \
 QGui/ViewerActions.cpp \
 QGui/ManipulatedFrameSetConstraint.cpp \
 QGui/MainWindow.cpp \
 QGui/ObjectPropertiesDock.cpp \
 QGui/ObjectPropertiesSheet.cpp \
 QGui/ToolPropertiesDock.cpp \
 QGui/ToolPropertiesWidgets.cpp \
 QGui/SceneInspectorDock.cpp \
 QGui/ScriptingDock.cpp \
 QGui/QDesignerDefs.cpp \
 QGui/QCameraModeWidget.cpp \
 QGui/QSelectedObjectsWidget.cpp \
 QGui/QAlgorithmWidget.cpp \
 QGui/QDimensionModeWidget.cpp \
 QGui/FlagBox.cpp \
 QGui/FlagBoxModel.cpp \
 QGui/SheetDelegate.cpp \
 QGui/QPropertyEditor.cpp \
 QGui/PropertyEditorDelegate.cpp \
 QGui/PropertyEditorItems.cpp \
 QGui/PropertyEditorModel.cpp \
 QGui/PluginDialog.cpp \
 QGui/PreferencesDialog.cpp \
 QGui/PreferencesDialogPages.cpp \
 QGui/QGraphicNode.cpp \
 QGui/QGraphicEdge.cpp \
 QGui/QGraphWidget.cpp \
 QGui/QParameterSpaceView.cpp \
 QGui/ObjectToolDock.cpp \
 QGui/HistoryDock.cpp \
 QGui/Notifications.cpp \
 QGui/ImplicitCurvesArrangementDock.cpp \
 QGui/ParametricCurvesArrangementDock.cpp \
 QGui/ImageViewer.cpp \
 QGui/SampleSelector.cpp

RESOURCES += \
 QGui/images/images.qrc \
 QGui/forms/forms.qrc \
 QGui/stylesheets/stylesheets.qrc

FORMS += \
 QGui/forms/PointToolWidget.ui \
 QGui/forms/PlaneToolWidget.ui \
 QGui/forms/CurveToolWidget.ui \
 QGui/forms/SurfaceToolWidget.ui \
 QGui/forms/ConvertToMeshToolWidget.ui \
 QGui/forms/InterpolationBSplineCurveToolWidget.ui \
 QGui/forms/ApproximationBSplineCurveToolWidget.ui \
 QGui/forms/ApproximationBSplineSurfaceToolWidget.ui \
 QGui/forms/JoinBSplineCurveToolWidget.ui \
 QGui/forms/DistanceConstraintWidget.ui \
 QGui/forms/IncidenceConstraintWidget.ui \
 QGui/forms/AngleConstraintWidget.ui \
 QGui/forms/ImplicitCurvesArrangementWidget.ui \
 QGui/forms/ParametricCurvesArrangementWidget.ui \
 QGui/forms/CurveArrangementWidget.ui \
 QGui/forms/FirstDerivativeWidget.ui \
 QGui/forms/SecondDerivativeWidget.ui \
 QGui/forms/JacobiCurveWidget.ui \
 QGui/forms/HessianCurveWidget.ui \
 QGui/forms/GraphedSurfaceWidget.ui \
 QGui/forms/IcIntersectionWidget.ui \
 QGui/forms/PcIntersectionWidget.ui \
 QGui/forms/IsIntersectionWidget.ui \
 QGui/forms/PsIntersectionWidget.ui \
 QGui/forms/NoToolWidget.ui \
 QGui/forms/GeneralPage.ui \
 QGui/forms/ViewerPage.ui \
 QGui/forms/SoftwareUpdatePage.ui \
 QGui/forms/PluginPage.ui \
 QGui/forms/SurfRenderWidget.ui \
 QGui/forms/YafrayRenderWidget.ui \
 QGui/forms/BezierClipperToolWidget.ui \
 QGui/forms/AboutDialog.ui
