/*****************************************************************************
 * Axel
 *****************************************************************************
 * QSelectedObjectsWidget.cpp
 * 2007-5-25
 * Ashish Reddy
 *****************************************************************************
 *               Copyright (C) 2006-2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QLabel>
# include <QPixmap>
# include <QString>
# include <QHBoxLayout>

# include <QGui/QSelectedObjectsWidget.h>

QSelectedObjectsWidget::QSelectedObjectsWidget(QWidget * parent) : QWidget(parent)
{
    selectedobjects = new QLabel(" 0  ", this) ;

    pixmap = new QLabel("", this) ;
    pixmap->setToolTip("Number of Selected Objects") ;
    setPixmap(":images/16x16/camera.png") ;

    layout = new QHBoxLayout(this) ;
    layout->addWidget(pixmap) ;
    layout->addWidget(selectedobjects) ;
    layout->setSpacing(3);
    layout->setMargin(0);
    setLayout(layout) ;
}
 
void QSelectedObjectsWidget::setCount(int count)
{
    selectedobjects->setText(" " + QString::number(count) + "  ") ;
}
    
void QSelectedObjectsWidget::setPixmap(QString resourceName)
{
    pixmap->setPixmap(QPixmap(resourceName)) ;
}
 
