/****************************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/
/*
#include <QtNetwork>
#include <QtGui>
#include <QtOpenGL>
#include <QGui/GLSelectorView.h>

class GLSampleSelector : public GLSelectorView
{
    Q_OBJECT

    GLfloat carousel_rot;
    GLfloat y_rot;
    GLfloat scale;

    GLuint logo;
    QList<GLuint> textures;
    QMap<int, QString> map ;
    QString currentImageFile ;

    QPoint anchor;
    QHttp *http;
    QFile *tmp ;

    int search_id;
    int image_id;
    int file_id;
    int current_blade;
    int current_image;
    int current_at_press;
    QStringList images;

    bool select_anim;
    GLfloat anim_scale;
    GLfloat anim_alpha;

    bool mouse_down;

    bool zoom_out;
    bool zoom_in;
    bool zoomed_in;

public:
    GLSampleSelector(QWidget *parent);
    ~GLSampleSelector();

public slots:
    void prepareTextures(const QString &);
    void load(void) ;

signals:
    void statusChanged(const QString &status);
    void fileSelected(const QString &file);
    void fileLoaded(QString);

protected:
    void drawBlades(bool select_mode = false);
    int bladeAtPos(const QPoint &);
    void paintEvent(QPaintEvent *);
    void timerEvent(QTimerEvent *);
    void mousePressEvent(QMouseEvent *);
    void mouseReleaseEvent(QMouseEvent *);
    void mouseMoveEvent(QMouseEvent *);
    void wheelEvent(QWheelEvent *);

private slots:
    void processResults(int id, bool error);
};

class SampleSelector : public QWidget
{
    Q_OBJECT

    QGroupBox *instructionBox;
    QLineEdit *searchText;
    QLabel *statusText;
    QLabel *fileLabel;
    GLSampleSelector *view;

public:
    SampleSelector(QWidget * parent);
    GLSampleSelector * interface(void) { return view ; }

protected:
    void resizeEvent(QResizeEvent *) {
        instructionBox->move(width()-instructionBox->width() - 20,
                             height()-instructionBox->height() - 20);
    }

public slots:
    void startSearch() { view->prepareTextures(searchText->text()); }
    void updateFileLabel(const QString & s) ;
};
*/
