/*****************************************************************************
 * Axel
 *****************************************************************************
 * ScriptingDock
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/
  
# ifndef SCRIPTINGDOCK_H
# define SCRIPTINGDOCK_H

# include <QDockWidget>

# include <QAxel/QAxelObject.h>

using namespace QAxel ;

class Viewer ;
class QSEditor ;
class QSProject ;
class QSInterpreter ;
class QSScript ;

class ScriptingDock : public QDockWidget 
{
    Q_OBJECT       
    
public :
    ScriptingDock(Viewer * viewer, const QString & title, QWidget * parent) ;
    
public slots:
    void load(QString s = NULL) ;
    void save(void) ;
    void saveAs(void) ;
    void run(void) ;
    void addObject(QAxelObject * o) ;
    void addObject(QObject * o) ;
    void setText(QString text) ;
    QString text(void) ;

private :
    QSInterpreter * interpreter;
    QSProject * project ;
    QSScript * script ;
    QSEditor * editor ;
    Viewer * viewer ;
} ;

# endif
