/***************************************************************************
                          p5sdk.h  -  description
                             -------------------
    begin                : Tue Jan 28 2003
    copyright            : (C) 2003 by Silviu Simen
    email                : ssimen@vryad.com
 ***************************************************************************/

#ifndef _P5_SDK_H_
#define _P5_SDK_H_

#define SHM_FILE "/dev/p5data"
#define MSC_FILE "/dev/p5data-msc"
#define IMPS_FILE "/dev/p5data-imps2"

#define SHM_PROJ 1

#define P5_DRIVER_VERSION "0.1"

//fingers definitions
#define P5_THUMB   0x0
#define P5_INDEX   0x1
#define P5_MIDDLE  0x2
#define P5_RING    0x3
#define P5_PINKY   0x4

union t_p5_vec3
{
  float v[3];
  struct
  {
    union
    {
      float x;
      float yaw;
    };
    union
    {
      float y;
      float pitch;
    };
    union
    {
      float z;
      float roll;
    };
  };
};


// P5 Data
typedef struct
{
  t_p5_vec3 m_relative_pos;
  t_p5_vec3 m_absolute_pos;

  t_p5_vec3 m_absolute_rot;
  t_p5_vec3 m_relative_rot;

  unsigned char m_bend[5];
  unsigned char m_buttons[4];

  float m_error_estimate;

}
P5Data;

struct P5SharedMem
{
  int nump5s;
  int p5datasize;
  P5Data p[1];
};

# ifdef Q_WS_X11
void drv_ProcessOneFrame (int device, P5Data * p5data);
void drv_SetRotationCalculationMode (int mode);
int drv_InitP5 (void);
int drv_CalibrateDeviceStart (int device);
int drv_CalibrateDeviceStop (int device);
# endif

# endif // _P5_SDK_H_
