/*****************************************************************************
 * A x e l
 *****************************************************************************
 * IStreamG2
 * 2006-11-10
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/                     

# include <iostream>
                 
# include <QFile>
# include <QLabel>
# include <QStringList>                 
# include <QProgressDialog>
# include <QApplication>
# include <QMessageBox>

# include <QAxel/QCurve.h>
# include <QAxel/QSurface.h>
# include <QAxel/PluginManager.h>

# include <QStream/IStream/IStreamG2.h>

using namespace std ;

namespace QStream {

IStreamG2::IStreamG2(QFile * f) : IStream(f) 
{
    file = f ;
    iSisl = dynamic_cast<QSislInterface *>(PluginManager::instance()->plugin("Sisl")) ;
    if(!iSisl) QMessageBox::information(0, "Axel","Import G2 : QSisl plugin is not loaded","&Ok",0) ;
}

QBSplineCurve * IStreamG2::readCurve(void)
{
    if(!iSisl) return 0;
    QBSplineCurve * curve = iSisl->readCurve(file) ;
    curve->compute() ;
    return curve;
}

QBSplineSurface * IStreamG2::readSurface(void)
{
    if(!iSisl) return 0;
    QBSplineSurface * s = iSisl->readSurface(file) ;
    s->compute() ;
    return s;
}

} ;
