/*****************************************************************************
 * A x e l
 *****************************************************************************
 * IStreamGcml
 * 2006-07-03
 * Arnaud Fabre
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef ISTREAMGCML_H
# define ISTREAMGCML_H

class Viewer;
class QDomDocument;
class QProgressDialog;
class QFile;

#include <QString>

namespace QStream {

class IStreamGcml 
{
public :
	IStreamGcml(QFile* file, QString s, Viewer * v) ;
	void run(void) ;
	
private :
	void getUnknowns(void);
	void getConstraints(void);
	void getSketch(void);
	void getValuation(void);
	
	
	void loadObjects(void);
	void loadConstraints(void);
	
private :
	Viewer * viewer;
	QString filename;
	QDomDocument * domdocument;
	QProgressDialog * progress;
	
	QString _unknowns;
	QString _constraints;
	
	QString _sketch;
	QString _valuation;
} ;

} ;

# endif
