/*****************************************************************************
 * A x e l
 *****************************************************************************
 * 0StreamAxl
 * 2006-07-04
 * Ashish Reddy
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef OSTREAMAXL_H
# define OSTREAMAXL_H

class MainWindow ;
class Viewer;
class QDomDocument;
class QProgressDialog;

namespace QAxel {
    
    class QPoint3f ;
    class QPoint4f ;
    class QPointSet ;
    class QPlane ;
    class QCube ;
    class QSphere ;
    class QCylinder ;
    class QCurve ;
    class QSurface ;
} ;

namespace QStream {

class OStreamAxl
{
public :
    OStreamAxl(QString s, MainWindow * mw) ;
    void run(void) ;
    
private :
    
    void createPoint3fElement(QPoint3f * p) ;
    void createPoint4fElement(QPoint4f * p) ;
    void createPointSetElement(QPointSet * p) ;
    void createPlaneElement(QPlane * p) ;
    void createCubeElement(QCube * p) ;
    void createSphereElement(QSphere * p) ;
    void createCylinderElement(QCylinder * p) ;
    void createCurveElement(QCurve * p) ;
    void createSurfaceElement(QSurface * p) ;
    void createMeshElement(QMesh * p) ;

    void createScriptElement(void) ;
    void createViewerElement(void) ;
    //void createPreferencesElement(QString preferences) ;
    
    //..
    
private :
    void buildDomTree(void);
    void save(void);
    
private :
    MainWindow * mainwindow ;
    Viewer * viewer;
    QString filename;
    QDomDocument * domdocument;
    QProgressDialog * progress;
    
    QList<QDomElement> elements ;
} ;
    
} ;

# endif
