########################################################
# A x e l Project File
# Julien Wintz
# Inria Sophia-Antipolis
########################################################

########################################################
# Settings
########################################################

TEMPLATE 	 = app
CONFIG 		+= qt qsa warn_on debug
QT	 	+= xml opengl network
UI_DIR 		 = .ui
MOC_DIR 	 = .moc
OBJECTS_DIR	 = .obj
RCC_DIR 	 = .rcc

INCLUDEPATH     += /usr/local/Trolltech/Qsa-1.2.2/include
LIBPATH         += /usr/local/Trolltech/Qsa-1.2.2/lib
LIBS            += -L/usr/local/Trolltech/Qsa-1.2.2/lib -lqsa

########################################################
# Get configure result
########################################################

exists(../conf.pri) {
	include(../conf.pri)
}

########################################################
# Platform Specific Stuff
########################################################

unix:!mac {
	TARGET = axel

	QMAKE_CXXFLAGS += -fpermissive
	QMAKE_LFLAGS += -rdynamic

	QTDIR  = /usr/local/Trolltech/Qt-4.2.2
	QSADIR = /usr/local/Trolltech/Qsa-1.2.2

	PREFIX = /usr/local/Inria/Axel

	install.target = install
	install.commands = @make -f unix.makefile

	uninstall.target = uninstall
	uninstall.commands = @make -f unix.makefile uninstall

	deb.target = deb
	deb.commands = @make -f unix.makefile deb

	rpm.target = rpm
	rpm.commands = @make -f unix.makefile rpm

	QMAKE_EXTRA_TARGETS += install uninstall deb rpm
}

mac {
	TARGET = Axel

	QMAKE_LFLAGS -= -rdynamic
	QMAKE_LFLAGS += -framework CoreFoundation

	QMAKE_INFO_PLIST = ../resources/Info.plist
	RC_FILE = ../resources/axel_icon.icns
	QMAKE_POST_LINK = cp -f ../resources/Info.plist `dirname $(TARGET)`/../ ; \
			  cp -f ../resources/axel_icon.icns `dirname $(TARGET)`/../Resources/ ; \
		          cp -f ../resources/docs_icon.icns `dirname $(TARGET)`/../Resources/ ; \
                          echo "APPLAxel " > `dirname $(TARGET)`/../PkgInfo ;

	qc_universal:contains(QT_CONFIG,x86):contains(QT_CONFIG,ppc) {
		CONFIG += x86 ppc
		QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.4u.sdk
	}

	dmg {
		DEFINES += GENERATE_BUNDLE
	}

	dmg.commands += touch QGui/PluginFactory.h && make -f macx.makefile dmg
	dmgclean.commands = rm -rvf ../disk && make -f macx.makefile clean-dmg

	QMAKE_EXTRA_TARGETS += dmg dmgclean
}

win32 {
	TARGET = axel

        DEFINES *= QGLVIEWER_STATIC
        DEFINES *= QT_DLL QT_THREAD_SUPPORT

        CONFIG *= rtti

        !win32-g++: QMAKE_CXXFLAGS = -TP -G6 -GR -GX -Zi
}

########################################################
# Project Files
########################################################

INCLUDEPATH += .

SOURCES = main.cpp

include(QAxel/QAxel.pri)
include(QData/QData.pri)
include(QArrangement/QArrangement.pri)
include(QIntersection/QIntersection.pri)
#include(QSelfIntersection/QSelfIntersection.pri)
include(QSynaps/QSynaps.pri)
include(QSisl/QSisl.pri)
include(QCgal/QCgal.pri)
include(QCore/QCore.pri)
include(QP5Glove/QP5Glove.pri)
include(QGLViewer/QGLViewer.pri)
include(QStream/QStream.pri)
include(QScript/QScript.pri)
include(QGui/QGui.pri)

########################################################
# Common targets
########################################################

core.target = core
core.commands = @make -f common.makefile core

synaps.target = synaps
synaps.commands = @make -f common.makefile synaps

sisl.target = sisl
sisl.commands = @make -f common.makefile sisl

cgal.target = cgal
cgal.commands = @make -f common.makefile cgal

QMAKE_EXTRA_TARGETS += core synaps sisl cgal
